/**********************************************/
/* Progetto: GIDA.DLL													*/
/* File: gida.h																*/
/* Data: 25/01/1999														*/
/* Fine: funzioni esportate dal modulo gida.c	*/
/**********************************************/



/* Utilizzando questa tecnica si possono
	 evitare problemi come le inclusioni multiple
	 in progeti di medie/grandi dimensioni
	 oltre che velocizzare la compilazione */
#if !defined(__GIDA_H__)
#define __GIDA_H__



/* L'header file "windows.h" deve essere il primo file
	 ad essere incluso nelle applicazioni Windows */
#include "windows.h"



/* extern "C", permette l'utilizzo della
	 funzione esportata di essere utilizzata
	 anche da programmi scritti in C++. */
#if defined(__cplusplus)
extern "C"	{
#endif



/* Dichiarazione della funzione esportata.
	 La macro APIENTRY, indica il tipo di
	 convenzione di chiamata usata, questa
	 specifica alcune funzionalita' come
	 le modalita' di passaggio di parametri
	 sullo stack ecc..
	 L'API di Windows utilizza APIENTRY. */
DWORD APIENTRY Gida_Incrementa(DWORD dwNumero);



#if defined(__cplusplus)
};
#endif



#endif // __GIDA_H__
