/**********************************************/
/* Progetto: GIDA.DLL													*/
/* File: gida.c																*/
/* Data: 25/01/1999														*/
/* Fine: realizzazione di una generica DLL		*/
/**********************************************/



/* Includiamo l'header file con la dichiarazione
	 della funzione Gida_Incrementa() */
#include "gida.h"



/* STRICT, permette un maggior controllo sui
	 tipi in fase di compilazione */
#define STRICT
/* WIN32_LEAN_AND_MEAN, velocizza la compilazione
	 escludendo alcune caratteristiche poco utilizzate */
#define WIN32_LEAN_AND_MEAN



/**********************************************/
/* Funzione: DllMain()												*/
/* Parametri:																	*/
/*				HINSTANCE hinstDLL									*/
/*				DWORD dwReason											*/
/*				LPVOID lpvReserved									*/
/* Fine: punto di ingresso/uscita della DLL		*/
/**********************************************/
BOOL APIENTRY DllMain(HINSTANCE hinstDLL, DWORD dwReason, LPVOID lpvReserved)
{
	switch(dwReason)
	{
		case DLL_PROCESS_ATTACH:
		break;

		case DLL_PROCESS_DETACH:
		break;

		case DLL_THREAD_ATTACH:
		break;

		case DLL_THREAD_DETACH:
		break;
	}

	return TRUE;
}



/**********************************************/
/* Funzione: Gida_Incrementa()								*/
/* Parametri:																	*/
/*				DOWRD dwNumero											*/
/* Fine: visualizza il valore presente nel		*/
/*			 parametro passato, incrementa lo			*/
/*			 stesso e visualizza il nuovo valore	*/
/**********************************************/
DWORD APIENTRY Gida_Incrementa(DWORD dwNumero)
{
	char szMsg[32];

	/* visualizzazione valore iniziale
		 contenuto in dwNumero */
	*szMsg = '\0';
	wsprintf(szMsg, "Valore iniziale: %lu", dwNumero);
	MessageBox(NULL, szMsg, "GIDA - DLL", MB_OK | MB_ICONINFORMATION | MB_TASKMODAL);

	/* incremento di dwNumero */
	dwNumero++;

	/* visualizzazione valore finale
		 contenuto in dwNumero */
	*szMsg = '\0';
	wsprintf(szMsg, "Valore finale: %lu", dwNumero);
	MessageBox(NULL, szMsg, "GIDA - DLL", MB_OK | MB_ICONINFORMATION | MB_TASKMODAL);

	/* ritorna valore incrementato */
	return dwNumero;
}
